Bug 186627 - dispose_command: bad command type on x86_64
Summary: dispose_command: bad command type on x86_64
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: bash (Show other bugs)
(Show other bugs)
Version: 4
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-24 20:15 UTC by Tom Lane
Modified: 2013-07-03 03:09 UTC (History)
1 user (show)

Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-15 12:06:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tom Lane 2006-03-24 20:15:51 UTC
Description of problem:
bash prints a weird error message and aborts

Version-Release number of selected component (if applicable):
bash-3.0-31

How reproducible:
100%

Steps to Reproduce:
1. Use x86_64 machine (doesn't seem to fail on i386)
2. while /bin/true; do :; done
3. Press control-C (or whatever your INT character is)
  
Actual results:
dispose_command: bad command type: 7122880  [this number varies]
last command: while /bin/true; do :; done
Aborting... [ssh connection closes]

Expected results:
should just give me the next command prompt

Additional info:
Doesn't happen with "while true", does happen with "while ./myprog" which is
where I originally happened across it.

Comment 1 Tim Waugh 2006-12-15 12:06:11 UTC
I can't get this to happen in FC6.


Note You need to log in before you can comment on or make changes to this bug.